from . import events
from . import sms
from . import hosts
from . import downtimes

# FIXME: Remove backward compatibility
from .errors import GolemApiError, GolemNoSmsRecepientsError, GolemNoCurrentEventError
from .events import OK, INFO, WARN, CRIT


# =====
__all__ = [
    "GolemApiError", "GolemNoSmsRecepientsError", "GolemNoCurrentEventError",
    "OK", "INFO", "WARN", "CRIT",
    "GolemApi",
]


# =====
class GolemApi:  # pylint: disable=R0902
    def __init__(self, *args, **kwargs):
        self.events = events.EventsApi(*args, **kwargs)
        self.sms = sms.SmsApi(*args, **kwargs)
        self.hosts = hosts.HostsApi(*args, **kwargs)
        self.downtimes = downtimes.DowntimesApi(*args, **kwargs)

        # FIXME: Remove backward compatibility
        self.get_responsibles = self.hosts.get_responsibles
        self.send_sms_for_user = self.sms.send_for_user
        self.send_sms_for_service = self.sms.send_for_service
        self.send_event = self.events.send
